"""
======================
读取和写入图。
======================
"""

import matplotlib.pyplot as plt
import networkx as nx

G = nx.grid_2d_graph(5, 5)  # 5x5 grid

# 打印邻接表
for line in nx.generate_adjlist(G):
    print(line)
# 将边列表写入 grid.edgelist
nx.write_edgelist(G, path="grid.edgelist", delimiter=":")
# 从grid.edgelist读取边列表
H = nx.read_edgelist(path="grid.edgelist", delimiter=":")

pos = nx.spring_layout(H, seed=200)
nx.draw(H, pos)
plt.show()
